<?php
#
# HLstatsX - Real-time player and clan rankings and statistics for Half-Life:Source
# http://www.hlstatsx.com/
# Copyright (C) 2005 Tobias Oetzel (Tobi@hlstatsx.com)
#
# HlstatsX is an enhanced version of HLstats made by Simon Garner
# HLstats - Real-time player and clan rankings and statistics for Half-Life
# http://sourceforge.net/projects/hlstats/
# Copyright (C) 2001  Simon Garner
#             
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
	
	
	
	// Player Details
	
	$player = intval($HTTP_GET_VARS["player"]);
	$uniqueid  = strval($HTTP_GET_VARS["uniqueid"]);
	$game = strval($HTTP_GET_VARS["game"]);

	
	if (!$player && $uniqueid)
	{
		if (!$game)
		{
			header("Location: " . $g_options["scripturl"] . "&mode=search&st=uniqueid&q=$uniqueid");
			exit;
		}
		
		$db->query("
			SELECT
				playerId
			FROM
				hlstats_PlayerUniqueIds
			WHERE
				uniqueId='$uniqueid'
				AND game='$game'
		");
		
		if ($db->num_rows() > 1)
		{
			header("Location: " . $g_options["scripturl"] . "&mode=search&st=uniqueid&q=$uniqueid&game=$game");
			exit;
		}
		elseif ($db->num_rows() < 1)
		{
			error("No players found matching uniqueId '$uniqueid'");
		}
		else
		{
			list($player) = $db->fetch_row();
			$player = intval($player);
		}
	}
	elseif (!$player && !$uniqueid)
	{
		error("No player ID specified.");
	}
	
	$db->query("
		SELECT
			hlstats_Players.playerId,
			hlstats_Players.lastName,
			hlstats_Players.clan,
			hlstats_Players.fullName,
			hlstats_Players.email,
			hlstats_Players.homepage,
			hlstats_Players.icq,
			hlstats_Players.game,
			hlstats_Players.skill,
			hlstats_Players.kills,
			hlstats_Players.deaths,
			IFNULL(kills/deaths, '-') AS kpd,
			hlstats_Players.suicides,
			hlstats_Players.headshots,
			IFNULL(headshots/kills, '-') AS hpk,
			hlstats_Players.shots,
			hlstats_Players.hits,
			IFNULL(ROUND((hits / shots * 100), 1), 0.0) AS acc,
			CONCAT(hlstats_Clans.tag, ' ', hlstats_Clans.name) AS clan_name,
      IF(".MINACTIVITY." > (UNIX_TIMESTAMP() - last_event), ((100/".MINACTIVITY.") * (".MINACTIVITY." - (UNIX_TIMESTAMP() - last_event))), 0) as activity
		FROM
			hlstats_Players
		LEFT JOIN hlstats_Clans ON
			hlstats_Clans.clanId = hlstats_Players.clan
		WHERE
			playerId='$player'
	");
	if ($db->num_rows() != 1)
		error("No such player '$player'.");
	
	$playerdata = $db->fetch_array();
	$db->free_result();
	
	$pl_name = $playerdata["lastName"];
	if (strlen($pl_name) > 10)
	{
		$pl_shortname = substr($pl_name, 0, 8) . "...";
	}
	else
	{
		$pl_shortname = $pl_name;
	}
	$pl_name = htmlentities($pl_name, ENT_COMPAT, "UTF-8");
	$pl_shortname = htmlentities($pl_shortname, ENT_COMPAT, "UTF-8");
	$pl_urlname = urlencode($playerdata["lastName"]);
	
	
	$game = $playerdata["game"];
	$db->query("SELECT name FROM hlstats_Games WHERE code='$game'");
	if ($db->num_rows() != 1)
		$gamename = ucfirst($game);
	else
		list($gamename) = $db->fetch_row();
	
?>



<table width="100%" align="center" border=0 cellspacing=0 cellpadding=0>

<tr valign="top">
	<td width="100%">

    <table width="100%" align="center" border=0 cellspacing=1 cellpadding=4 bgcolor="<?php echo $g_options["table_border"]; ?>">
      <tr valign="bottom" bgcolor="<?php echo $g_options["table_head_bgcolor"]; ?>">
        <td width="55%"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Participating Servers</font><?php echo $g_options["fontend_small"]; ?></td>
        <td width="23%"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Address</font><?php echo $g_options["fontend_small"]; ?></td>
        <td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Map</font><?php echo $g_options["fontend_small"]; ?></td>
        <td width="6%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Played</font><?php echo $g_options["fontend_small"]; ?></td>
        <td width="10%" align="center"><?php echo $g_options["font_small"]; ?><font color="<?php echo $g_options["table_head_text"]; ?>">&nbsp;Players</font><?php echo $g_options["fontend_small"]; ?></td>
      </tr>
<?php
    $game ="css";
    $query= "
            SELECT
                serverId,
                name,
                IF(publicaddress != '',
                    publicaddress,
                    concat(address, ':', port)
                ) AS addr,
                statusurl,
                kills,
                headshots,              
                act_players,                                
                max_players,
                act_map,
                map_started,
                map_ct_wins,
                map_ts_wins                 
            FROM
                hlstats_Servers
            WHERE
                game='$game' AND
                serverId=1 
            ORDER BY
                serverId
        ";
        $db->query($query);
        $this_server = array();
        $servers = array();
        while ($rowdata = $db->fetch_array()) {
          $servers[] = $rowdata;
          if ($rowdata['serverId'] == $server_id)
            $this_server = $rowdata;
        }  
          

        $i=0;
        for ($i=0; $i<count($servers); $i++)
        {
            $rowdata = $servers[$i]; 
            
            $server_id = $rowdata['serverId'];
            
            $c = ($i % 2) + 1;
            
            if ($rowdata["statusurl"])
            {
                $addr = "<a href=\"" . $rowdata["statusurl"] . "\">"
                    . $rowdata["addr"] . "</a>";
            }
            else
            {
                $addr = $rowdata["addr"];
            }
            
            $kills     = $rowdata['kills'];
            $headshots = $rowdata['headshots'];
            
          
          $player_string = $rowdata['act_players']."/".$rowdata['max_players'];
          $map_ct_wins = $rowdata['map_ct_wins'];
          $map_ts_wins = $rowdata['map_ts_wins'];

?>

                <tr valign="middle" bgcolor="<?php echo $g_options["table_bgcolor$c"]; ?>">
                    <td align="left" style="background:white;color:black"><?php
                        echo $g_options["font_normal"];
                        echo "<b>".$rowdata["name"]."</b>";
                        echo $g_options["fontend_normal"]; ?></td>
                    <td align="left" style="background:white;color:black"><?php
                        echo $g_options["font_normal"];
                        echo $addr;
                        echo $g_options["fontend_normal"];
                    ?></td>
                    <td align="center" style="background:white;color:black"><?php
                        echo $g_options["font_normal"];
                        echo $rowdata['act_map'];
                        echo $g_options["fontend_normal"];
                    ?></td>
                    <td align="center" style="background:white;color:black"><?php
              $stamp = time()-$rowdata['map_started'];
              $hours = sprintf("%02d", floor($stamp / 3600));
              $min   = sprintf("%02d", floor(($stamp % 3600) / 60));
              $sec   = sprintf("%02d", floor($stamp % 60)); 
                        echo $g_options["font_normal"];
                        echo $hours.":".$min.":".$sec;
                        echo $g_options["fontend_normal"];
                    ?></td>
                    <td align="center" style="background:white;color:black"><?php
                        echo $g_options["font_normal"];
                        echo $player_string;
                        echo $g_options["fontend_normal"];
                    ?></td>
                </tr>

<?php } 

            if ($playerdata['activity'] > 0)
            {            
                            $db->query("
                            SELECT
                  COUNT(*)
                              FROM
                                    hlstats_Players
                              WHERE
                                    game='$game' 
                    AND skill>'".$playerdata['skill']."' 
                    AND hideranking = 0
                        AND kills >= 1
                    AND IF(".MINACTIVITY." > (UNIX_TIMESTAMP() - last_event), UNIX_TIMESTAMP() - last_event, 0) > 0
                            ");
                            
                          list($rank) = $db->fetch_row();
                          $rank++;

                            $result = $db->query("
                            SELECT
                        playerId,
                        IFNULL(kills / deaths, '-') AS kpd
                                FROM
                                hlstats_Players
                                WHERE
                                    game='$game' 
                    AND skill='".$playerdata['skill']."' 
                    AND hideranking = 0
                        AND kills >= 1
                    AND IF(".MINACTIVITY." > (UNIX_TIMESTAMP() - last_event), UNIX_TIMESTAMP() - last_event, 0) > 0
                            ORDER BY kpd DESC,                  
                           lastName ASC
                            ");
                   while ($rowdata = $db->fetch_array($result))  {
                       if ($rowdata['playerId'] == $playerdata['playerId'])
                         break;
                      $rank++;
                   }    
            } else
              $rank = "Not active";    
?>
          <tr style="background:white;color:black;"> 
            <td colspan="5"><?php
              echo $g_options["font_normal"];
              echo "<ul style=\"margin:0px 20px;padding:0px;\"><li>To play on the <b>".$servers[0]['name']."</b> server it is required to be a Top500-Player in the ranking!</li></ul>";
              echo $g_options["fontend_normal"];
            ?></td>
          </tr>  


<?php
    if (($rank > 500) || ($rank == "Not active"))
      echo "<tr style=\"background:#FFD5D5;border:1px solid red;color:black\">";
    else  
      echo "<tr style=\"background:#CCFFCC;border:1px solid green;color:black\">";
             
?>             
               <td colspan="5"><?php
                echo $g_options["font_normal"];
                if (($rank > 500) || ($rank == "Not active"))
                  echo "You currently ranked on position <b>".$rank."</b> and are not <b>allowed</b> to play on ".$servers[0]['name']." server!";
                else
                  echo "You currently ranked on position <b>".$rank."</b> and are <b>allowed</b> to play on ".$servers[0]['name']." server!";
                echo $g_options["fontend_normal"];
             ?></td>
          </tr>

        </table>        


       </td>
      </tr>

</table>